<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-jenis-pembayaran-heading">Create or edit a Jenis Pembayaran</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jenis">Jenis</label>
                    <input type="text" class="form-control" name="jenis" id="field_jenis"
                           formControlName="jenis"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_metode">Metode</label>
                    <select class="form-control" id="field_metode" name="metode" formControlName="metode">
                        <option value="BULANAN">BULANAN</option>
                        <option value="SEMESTER">SEMESTER</option>
                        <option value="ANGSURAN">ANGSURAN</option>
                        <option value="KHUSUS">KHUSUS</option>
                    </select>
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
